Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -4128,24 +4134,24 @@
                 u_comp    = u(k,j-1,i+1) + u(k,j,i+1) - gu
                 flux_r(k) = u_comp * (                                        &
-                      37.0 * ( v(k,j,i+1) + v(k,j,i)   )                      &
-                    -  8.0 * ( v(k,j,i+2) + v(k,j,i-1) )                      &
-                    +        ( v(k,j,i+3) + v(k,j,i-2) ) ) * adv_mom_5
+                      37.0_wp * ( v(k,j,i+1) + v(k,j,i)   )                      &
+                    -  8.0_wp * ( v(k,j,i+2) + v(k,j,i-1) )                      &
+                    +           ( v(k,j,i+3) + v(k,j,i-2) ) ) * adv_mom_5
 
                 diss_r(k) = - ABS( u_comp ) * (                               &
-                      10.0 * ( v(k,j,i+1) - v(k,j,i) )                        &
-                    -  5.0 * ( v(k,j,i+2) - v(k,j,i-1) )                      &
-                    +        ( v(k,j,i+3) - v(k,j,i-2) ) ) * adv_mom_5
+                      10.0_wp * ( v(k,j,i+1) - v(k,j,i) )                        &
+                    -  5.0_wp * ( v(k,j,i+2) - v(k,j,i-1) )                      &
+                    +           ( v(k,j,i+3) - v(k,j,i-2) ) ) * adv_mom_5
 
 
                 v_comp(k) = v(k,j+1,i) + v(k,j,i)
                 flux_n(k) = ( v_comp(k) - gv ) * (                            &
-                      37.0 * ( v(k,j+1,i) + v(k,j,i)   )                      &
-                    -  8.0 * ( v(k,j+2,i) + v(k,j-1,i) )                      &
-                      +      ( v(k,j+3,i) + v(k,j-2,i) ) ) * adv_mom_5
+                      37.0_wp * ( v(k,j+1,i) + v(k,j,i)   )                      &
+                    -  8.0_wp * ( v(k,j+2,i) + v(k,j-1,i) )                      &
+                      +         ( v(k,j+3,i) + v(k,j-2,i) ) ) * adv_mom_5
 
                 diss_n(k) = - ABS( v_comp(k) - gv ) * (                       &
-                      10.0 * ( v(k,j+1,i) - v(k,j,i)   )                      &
-                    -  5.0 * ( v(k,j+2,i) - v(k,j-1,i) )                      &
-                    +        ( v(k,j+3,i) - v(k,j-2,i) ) ) * adv_mom_5
+                      10.0_wp * ( v(k,j+1,i) - v(k,j,i)   )                      &
+                    -  5.0_wp * ( v(k,j+2,i) - v(k,j-1,i) )                      &
+                    +           ( v(k,j+3,i) - v(k,j-2,i) ) ) * adv_mom_5
 !
 !--             k index has to be modified near bottom and top, else array
@@ -4161,14 +4167,14 @@
                 w_comp    = w(k,j-1,i) + w(k,j,i)
                 flux_t(k) = w_comp  * (                                      &
-                          ( 37.0 * ibit26 * adv_mom_5                        &
-                       +     7.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 37.0_wp * ibit26 * adv_mom_5                        &
+                       +     7.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   + v(k,j,i)    )                  &
-                   -      (  8.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
@@ -4176,14 +4182,14 @@
 
                 diss_t(k) = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit26 * adv_mom_5                        &
-                       +     3.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 10.0_wp * ibit26 * adv_mom_5                        &
+                       +     3.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   - v(k,j,i)    )                  &
-                   -      (  5.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
@@ -4197,5 +4203,5 @@
                      +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) ) )       &
                                                                     * ddzw(k) &
-                      ) * 0.5
+                      ) * 0.5_wp
  
                 tend(k,j,i) = tend(k,j,i) - (                                 &
@@ -4223,8 +4229,8 @@
                 sums_vs2_ws_l(k,tn) = sums_vs2_ws_l(k,tn)                     &
                          + ( flux_n(k)                                        &
-                         * ( v_comp(k) - 2.0 * hom(k,1,2,0) )                 &
+                         * ( v_comp(k) - 2.0_wp * hom(k,1,2,0) )                 &
                          / ( v_comp(k) - gv + 1.0E-20_wp )                    &
                          +   diss_n(k)                                        &
-                         *   ABS( v_comp(k) - 2.0 * hom(k,1,2,0) )            &
+                         *   ABS( v_comp(k) - 2.0_wp * hom(k,1,2,0) )            &
                          / ( ABS( v_comp(k) - gv ) +1.0E-20_wp ) )            &
                          *   weight_substep(intermediate_timestep_count)
@@ -4312,6 +4318,6 @@
        REAL(wp)    ::  w_comp   !:
 
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 
 !
@@ -4328,14 +4334,14 @@
                 u_comp_l                 = u(k,j-1,i) + u(k,j,i) - gu
                 flux_l                   = u_comp_l * (                          &
-                                      ( 37.0 * ibit20 * adv_mom_5              &
-                                   +     7.0 * ibit19 * adv_mom_3              &
-                                   +           ibit18 * adv_mom_1              &
+                                      ( 37.0_wp * ibit20 * adv_mom_5              &
+                                   +     7.0_wp * ibit19 * adv_mom_3              &
+                                   +              ibit18 * adv_mom_1              &
                                       ) *                                      &
                                      ( v(k,j,i)   + v(k,j,i-1) )               &
-                               -      (  8.0 * ibit20 * adv_mom_5              &
-                                   +           ibit19 * adv_mom_3              &
+                               -      (  8.0_wp * ibit20 * adv_mom_5              &
+                                   +              ibit19 * adv_mom_3              &
                                       ) *                                      &
                                      ( v(k,j,i+1) + v(k,j,i-2) )               &
-                               +      (        ibit20 * adv_mom_5              &
+                               +      (           ibit20 * adv_mom_5              &
                                       ) *                                      &
                                      ( v(k,j,i+2) + v(k,j,i-3) )               &
@@ -4343,14 +4349,14 @@
 
                 diss_l                   = - ABS( u_comp_l ) * (                 &
-                                      ( 10.0 * ibit20 * adv_mom_5              &
-                                   +     3.0 * ibit19 * adv_mom_3              &
-                                   +           ibit18 * adv_mom_1              &
+                                      ( 10.0_wp * ibit20 * adv_mom_5              &
+                                   +     3.0_wp * ibit19 * adv_mom_3              &
+                                   +              ibit18 * adv_mom_1              &
                                       ) *                                      &
                                      ( v(k,j,i)   - v(k,j,i-1) )               &
-                               -      (  5.0 * ibit20 * adv_mom_5              &
-                                   +           ibit19 * adv_mom_3              &
+                               -      (  5.0_wp * ibit20 * adv_mom_5              &
+                                   +              ibit19 * adv_mom_3              &
                                       ) *                                      &
                                      ( v(k,j,i+1) - v(k,j,i-2) )               &
-                               +      (        ibit20 * adv_mom_5              &
+                               +      (           ibit20 * adv_mom_5              &
                                       ) *                                      &
                                      ( v(k,j,i+2) - v(k,j,i-3) )               &
@@ -4359,14 +4365,14 @@
                 u_comp    = u(k,j-1,i+1) + u(k,j,i+1) - gu
                 flux_r    = u_comp * (                                       &
-                          ( 37.0 * ibit20 * adv_mom_5                        &
-                       +     7.0 * ibit19 * adv_mom_3                        &
-                       +           ibit18 * adv_mom_1                        &
+                          ( 37.0_wp * ibit20 * adv_mom_5                        &
+                       +     7.0_wp * ibit19 * adv_mom_3                        &
+                       +              ibit18 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j,i+1) + v(k,j,i)   )                 &
-                   -      (  8.0 * ibit20 * adv_mom_5                        &
-                       +           ibit19 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit20 * adv_mom_5                        &
+                       +              ibit19 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j,i+2) + v(k,j,i-1) )                 &
-                   +      (        ibit20 * adv_mom_5                        &
+                   +      (           ibit20 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j,i+3) + v(k,j,i-2) )                 &
@@ -4374,14 +4380,14 @@
 
                 diss_r    = - ABS( u_comp ) * (                              &
-                          ( 10.0 * ibit20 * adv_mom_5                        &
-                       +     3.0 * ibit19 * adv_mom_3                        &
-                       +           ibit18 * adv_mom_1                        &
+                          ( 10.0_wp * ibit20 * adv_mom_5                        &
+                       +     3.0_wp * ibit19 * adv_mom_3                        &
+                       +              ibit18 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j,i+1) - v(k,j,i)  )                  &
-                   -      (  5.0 * ibit20 * adv_mom_5                        &
-                       +           ibit19 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit20 * adv_mom_5                        &
+                       +              ibit19 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j,i+2) - v(k,j,i-1) )                 &
-                   +      (        ibit20 * adv_mom_5                        &
+                   +      (           ibit20 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j,i+3) - v(k,j,i-2) )                 &
@@ -4395,14 +4401,14 @@
                 v_comp_s              = v(k,j,i) + v(k,j-1,i) - gv
                 flux_s                = v_comp_s    * (                       &
-                                   ( 37.0 * ibit23 * adv_mom_5                &
-                                +     7.0 * ibit22 * adv_mom_3                &
-                                +           ibit21 * adv_mom_1                &
+                                   ( 37.0_wp * ibit23 * adv_mom_5                &
+                                +     7.0_wp * ibit22 * adv_mom_3                &
+                                +              ibit21 * adv_mom_1                &
                                    ) *                                        &
                                      ( v(k,j,i)   + v(k,j-1,i) )              &
-                            -      (  8.0 * ibit23 * adv_mom_5                &
-                                +           ibit22 * adv_mom_3                &
+                            -      (  8.0_wp * ibit23 * adv_mom_5                &
+                                +              ibit22 * adv_mom_3                &
                                    ) *                                        &
                                      ( v(k,j+1,i) + v(k,j-2,i) )              &
-                            +      (        ibit23 * adv_mom_5                &
+                            +      (           ibit23 * adv_mom_5                &
                                    ) *                                        &
                                      ( v(k,j+2,i) + v(k,j-3,i) )              &
@@ -4410,14 +4416,14 @@
 
                 diss_s                = - ABS( v_comp_s ) * (                 &
-                                   ( 10.0 * ibit23 * adv_mom_5                &
-                                +     3.0 * ibit22 * adv_mom_3                &
-                                +           ibit21 * adv_mom_1                &
+                                   ( 10.0_wp * ibit23 * adv_mom_5                &
+                                +     3.0_wp * ibit22 * adv_mom_3                &
+                                +              ibit21 * adv_mom_1                &
                                    ) *                                        &
                                      ( v(k,j,i)   - v(k,j-1,i) )              &
-                            -      (  5.0 * ibit23 * adv_mom_5                &
-                                +           ibit22 * adv_mom_3                &
+                            -      (  5.0_wp * ibit23 * adv_mom_5                &
+                                +              ibit22 * adv_mom_3                &
                                    ) *                                        &
                                      ( v(k,j+1,i) - v(k,j-2,i) )              &
-                            +      (        ibit23 * adv_mom_5                &
+                            +      (           ibit23 * adv_mom_5                &
                                    ) *                                        &
                                      ( v(k,j+2,i) - v(k,j-3,i) )              &
@@ -4426,14 +4432,14 @@
                 v_comp = v(k,j+1,i) + v(k,j,i)
                 flux_n = ( v_comp - gv ) * (                                 &
-                          ( 37.0 * ibit23 * adv_mom_5                        &
-                       +     7.0 * ibit22 * adv_mom_3                        &
-                       +           ibit21 * adv_mom_1                        &
+                          ( 37.0_wp * ibit23 * adv_mom_5                        &
+                       +     7.0_wp * ibit22 * adv_mom_3                        &
+                       +              ibit21 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j+1,i) + v(k,j,i)   )                 &
-                   -      (  8.0 * ibit23 * adv_mom_5                        &
-                       +           ibit22 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit23 * adv_mom_5                        &
+                       +              ibit22 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j+2,i) + v(k,j-1,i) )                 &
-                   +      (        ibit23 * adv_mom_5                        &
+                   +      (           ibit23 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j+3,i) + v(k,j-2,i) )                 &
@@ -4441,14 +4447,14 @@
 
                 diss_n = - ABS( v_comp - gv ) * (                         &
-                          ( 10.0 * ibit23 * adv_mom_5                        &
-                       +     3.0 * ibit22 * adv_mom_3                        &
-                       +           ibit21 * adv_mom_1                        &
+                          ( 10.0_wp * ibit23 * adv_mom_5                        &
+                       +     3.0_wp * ibit22 * adv_mom_3                        &
+                       +              ibit21 * adv_mom_1                        &
                           ) *                                                &
                                  ( v(k,j+1,i) - v(k,j,i)  )                  &
-                   -      (  5.0 * ibit23 * adv_mom_5                        &
-                       +           ibit22 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit23 * adv_mom_5                        &
+                       +              ibit22 * adv_mom_3                        &
                           ) *                                                &
                                  ( v(k,j+2,i) - v(k,j-1,i) )                 &
-                   +      (        ibit23 * adv_mom_5                        &
+                   +      (           ibit23 * adv_mom_5                        &
                           ) *                                                &
                                  ( v(k,j+3,i) - v(k,j-2,i) )                 &
@@ -4465,14 +4471,14 @@
                 w_comp    = w(k-1,j-1,i) + w(k-1,j,i)
                 flux_d    = w_comp  * (                                      &
-                          ( 37.0 * ibit26 * adv_mom_5                        &
-                       +     7.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 37.0_wp * ibit26 * adv_mom_5                        &
+                       +     7.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k,j,i)     + v(k-1,j,i)  )                  &
-                   -      (  8.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k+1,j,i)  + v(k_mm,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_pp,j,i) + v(k_mmm,j,i) )                  &
@@ -4480,14 +4486,14 @@
 
                 diss_d    = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit26 * adv_mom_5                        &
-                       +     3.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 10.0_wp * ibit26 * adv_mom_5                        &
+                       +     3.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k,j,i)     - v(k-1,j,i)  )                  &
-                   -      (  5.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k+1,j,i)  - v(k_mm,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_pp,j,i) - v(k_mmm,j,i) )                  &
@@ -4506,14 +4512,14 @@
                 w_comp    = w(k,j-1,i) + w(k,j,i)
                 flux_t    = w_comp  * (                                      &
-                          ( 37.0 * ibit26 * adv_mom_5                        &
-                       +     7.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 37.0_wp * ibit26 * adv_mom_5                        &
+                       +     7.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   + v(k,j,i)    )                  &
-                   -      (  8.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  8.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  + v(k-1,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) + v(k_mm,j,i) )                  &
@@ -4521,14 +4527,14 @@
 
                 diss_t    = - ABS( w_comp ) * (                              &
-                          ( 10.0 * ibit26 * adv_mom_5                        &
-                       +     3.0 * ibit25 * adv_mom_3                        &
-                       +           ibit24 * adv_mom_1                        &
+                          ( 10.0_wp * ibit26 * adv_mom_5                        &
+                       +     3.0_wp * ibit25 * adv_mom_3                        &
+                       +              ibit24 * adv_mom_1                        &
                           ) *                                                &
                              ( v(k+1,j,i)   - v(k,j,i)    )                  &
-                   -      (  5.0 * ibit26 * adv_mom_5                        &
-                       +           ibit25 * adv_mom_3                        &
+                   -      (  5.0_wp * ibit26 * adv_mom_5                        &
+                       +              ibit25 * adv_mom_3                        &
                           ) *                                                &
                              ( v(k_pp,j,i)  - v(k-1,j,i)  )                  &
-                   +      (        ibit26 * adv_mom_5                        &
+                   +      (           ibit26 * adv_mom_5                        &
                           ) *                                                &
                              ( v(k_ppp,j,i) - v(k_mm,j,i) )                  &
@@ -4542,5 +4548,5 @@
                      +  ( w_comp      - ( w(k-1,j-1,i) + w(k-1,j,i) )         &
                                                                   ) * ddzw(k) &
-                      ) * 0.5
+                      ) * 0.5_wp
 
                 tend(k,j,i) = - (                                              &
@@ -4556,8 +4562,8 @@
 !                sums_vs2_ws_l(k,tn) = sums_vs2_ws_l(k,tn)                  &
 !                      + ( flux_n                                           &
-!                      * ( v_comp - 2.0 * hom(k,1,2,0) )                    &
+!                      * ( v_comp - 2.0_wp * hom(k,1,2,0) )                    &
 !                      / ( v_comp - gv + 1.0E-20_wp )                       &
 !                      +   diss_n                                           &
-!                      *   ABS( v_comp - 2.0 * hom(k,1,2,0) )               &
+!                      *   ABS( v_comp - 2.0_wp * hom(k,1,2,0) )               &
 !                      / ( ABS( v_comp - gv ) +1.0E-20_wp ) )               &
 !                      *   weight_substep(intermediate_timestep_count)
@@ -4646,6 +4652,6 @@
        REAL(wp), DIMENSION(nzb+1:nzt,nys:nyn) ::  swap_flux_x_local_w !:
  
-       gu = 2.0 * u_gtrans
-       gv = 2.0 * v_gtrans
+       gu = 2.0_wp * u_gtrans
+       gv = 2.0_wp * v_gtrans
 !
 !--   compute the whole left boundary of the processor domain
@@ -4660,14 +4666,14 @@
              u_comp                   = u(k+1,j,i) + u(k,j,i) - gu
              swap_flux_x_local_w(k,j) = u_comp * (                             &
-                                      ( 37.0 * ibit29 * adv_mom_5              &
-                                   +     7.0 * ibit28 * adv_mom_3              &
-                                   +           ibit27 * adv_mom_1              &
+                                      ( 37.0_wp * ibit29 * adv_mom_5              &
+                                   +     7.0_wp * ibit28 * adv_mom_3              &
+                                   +              ibit27 * adv_mom_1              &
                                       ) *                                      &
                                      ( w(k,j,i)   + w(k,j,i-1) )               &
-                               -      (  8.0 * ibit29 * adv_mom_5              &
-                                   +           ibit28 * adv_mom_3              &
+                               -      (  8.0_wp * ibit29 * adv_mom_5              &
+                                   +              ibit28 * adv_mom_3              &
                                       ) *                                      &
                                      ( w(k,j,i+1) + w(k,j,i-2) )               &
-                               +      (        ibit29 * adv_mom_5              &
+                               +      (           ibit29 * adv_mom_5              &
                                       ) *                                      &
                                      ( w(k,j,i+2) + w(k,j,i-3) )               &
@@ -4675,14 +4681,14 @@
 
                swap_diss_x_local_w(k,j) = - ABS( u_comp ) * (                  &
-                                        ( 10.0 * ibit29 * adv_mom_5            &
-                                     +     3.0 * ibit28 * adv_mom_3            &
-                                     +           ibit27 * adv_mom_1            &
+                                        ( 10.0_wp * ibit29 * adv_mom_5            &
+                                     +     3.0_wp * ibit28 * adv_mom_3            &
+                                     +              ibit27 * adv_mom_1            &
                                         ) *                                    &
                                      ( w(k,j,i)   - w(k,j,i-1) )               &
-                                 -      (  5.0 * ibit29 * adv_mom_5            &
-                                     +           ibit28 * adv_mom_3            &
+                                 -      (  5.0_wp * ibit29 * adv_mom_5            &
+                                     +              ibit28 * adv_mom_3            &
                                         ) *                                    &
                                      ( w(k,j,i+1) - w(k,j,i-2) )               &
-                                 +      (        ibit29 * adv_mom_5            &
+                                 +      (           ibit29 * adv_mom_5            &
                                         ) *                                    &
                                      ( w(k,j,i+2) - w(k,j,i-3) )               &
